// creator  : weidu.exe (version 23100)
// argument : SUELF10.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~SUELF10~

IF ~NumTimesTalkedTo(0)
Global("ElvenAvatar","GLOBAL",0)~ THEN BEGIN 0 // from:
  SAY #57751 /* ~G-greetings, strangers, I hope that you are here to help in our hour of need... it is all I can do to keep these poor people from dying. These creatures must be stopped!~ */
  IF ~~ THEN DO ~SetGlobal("ReirraSpells","LOCALS",10)~ GOTO 1
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #57752 /* ~I was wondering, have you seen High Priestess of Rillifane, Demin? She left us to go amongst the creatures and find the relics from the temple... I worry for her!~ */
  IF ~Dead("Sudemin")~ THEN REPLY #57753 /* ~I have seen her, yes.  She is dead, unfortunately.~ */ GOTO 2
  IF ~Global("TalkedToDemin","GLOBAL",1)
!Dead("Sudemin")~ THEN REPLY #57754 /* ~I have spoken to her, yes.  She is fine at the moment.~ */ GOTO 5
  IF ~Global("TalkedToDemin","GLOBAL",0)~ THEN REPLY #57755 /* ~I have not seen her, no.~ */ GOTO 6
END

IF ~~ THEN BEGIN 2 // from: 1.0
  SAY #57756 /* ~D-dead?  Ahhhh, the Exile will have much to answer for!  Too many of my people are murdered by his foul hate, too many!~ */
  IF ~~ THEN GOTO 3
END

IF ~~ THEN BEGIN 3 // from: 7.3 2.0
  SAY #57757 /* ~We cannot get inside the palace, so we have been forced to hole up here. If you have the chance, find the relics from the temple and summon Rillifane's avatar!~ */
  IF ~~ THEN GOTO 4
END

IF ~~ THEN BEGIN 4 // from: 3.0
  SAY #57758 /* ~Only the avatar will be able to do something about all these terrible monsters the Exile has unleashed upon us!  And only He will be able to open the palace gates.~ */
  IF ~~ THEN REPLY #57760 /* ~What relics are you talking about?  How do I summon this avatar?~ */ GOTO 12
  IF ~~ THEN REPLY #57762 /* ~Why don't you do this yourself?~ */ GOTO 14
  IF ~~ THEN REPLY #57763 /* ~My only intention is to find this Exile of yours and deal with him.~ */ GOTO 15
  IF ~Global("TalkedToDemin","GLOBAL",1)~ THEN REPLY #57764 /* ~Yes, yes, I've heard all of this.~ */ GOTO 16
END

IF ~~ THEN BEGIN 5 // from: 1.1
  SAY #57765 /* ~Then she has told you about the relics, I hope! The avatar must be summoned if the palace is to be opened and these creatures stopped! Please... I beg of you, help us!~ */
  IF ~~ THEN GOTO 7
END

IF ~~ THEN BEGIN 6 // from: 1.2
  SAY #57766 /* ~You must find her! She hoped to collect the relics to summon the avatar of Rillifane. Only He can stop these fiends and open the palace gates! Please... I beg you!~ */
  IF ~~ THEN GOTO 7
END

IF ~Global("ElvenAvatar","GLOBAL",0)
GlobalGT("ReirraSpells","LOCALS",0)~ THEN BEGIN 7 // from: 6.0 5.0
  SAY #57769 /* ~I can only offer you a bit of my own healing magic as assistance, if you like.  Do you... do you need healing, my friend?~ */
  IF ~~ THEN REPLY #57770 /* ~Not myself, no... but one of my companions needs help.~ */ GOTO 8
  IF ~~ THEN REPLY #57771 /* ~Certainly... any healing you could offer me would be appreciated.~ */ GOTO 9
  IF ~~ THEN REPLY #57773 /* ~Keep your foul magicks away from me, elf!~ */ GOTO 10
  IF ~~ THEN REPLY #57788 /* ~I would prefer to know how to get inside the palace.~ */ GOTO 3
  IF ~~ THEN REPLY #57774 /* ~No, thank you.~ */ GOTO 10
END

IF ~~ THEN BEGIN 8 // from: 7.0
  SAY #57775 /* ~Then have them come and speak to me, and I shall use what spells I have remaining to help them.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 9 // from: 7.1
  SAY #57776 /* ~Of course.  Allow me to touch you, valiant one, and I shall mend what wounds you have.~ */
  IF ~~ THEN DO ~IncrementGlobal("ReirraSpells","LOCALS",-1)
ForceSpell(LastTalkedToBy,CLERIC_CURE_SERIOUS_WOUNDS)~ EXIT
END

IF ~~ THEN BEGIN 10 // from: 7.4 7.2
  SAY #57777 /* ~As you wish.  I must remain here to aid the helpless... please help however you can!~ */
  IF ~~ THEN EXIT
END

IF ~Global("ElvenAvatar","GLOBAL",0)
Global("ReirraSpells","LOCALS",0)~ THEN BEGIN 11 // from:
  SAY #57778 /* ~I am afraid I have no magic left with which to aid you, stranger.  I must keep what I have in reserve for the ailing folk of the city.  Please... help us however you can.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 12 // from: 15.0 14.0 4.0
  SAY #57780 /* ~There are three holy relics that the creatures took. If you find them in the city and bring them to the temple, place them on the statue to summon Rillifane's avatar!~ */
  IF ~~ THEN GOTO 13
END

IF ~~ THEN BEGIN 13 // from: 12.0
  SAY #57781 /* ~This is the only way to open the palace and deal with these creatures!  Please... if you can do this, you must!  The lives of so many are at stake!~ */
  IF ~~ THEN UNSOLVED_JOURNAL #6496 /* ~Getting Inside the Palace in Suldanessellar

The priestess Reirra told me that the avatar of Rillifane must be summoned to defeat the monsters in the city, and also remove the seal on the palace gates.  There are three relics that have been stolen by monsters and scattered throughout the city, and they must be returned to the temple and placed on Rillifane's statue in order for the avatar to be summoned.~ */ EXIT
END

IF ~~ THEN BEGIN 14 // from: 4.1
  SAY #57782 /* ~I cannot!  I must remain here and help the people as I can!  Demin left to collect the relics and she is missing... I cannot abandon these people to risk the same fate!~ */
  IF ~~ THEN REPLY #57783 /* ~Tell me what relics you are talking about, then.  How do I summon this avatar?~ */ GOTO 12
  IF ~~ THEN REPLY #57784 /* ~Well, all I want is to get inside the palace and deal with the Exile.~ */ GOTO 15
  IF ~~ THEN REPLY #57785 /* ~I'll be on my way, then.~ */ GOTO 16
END

IF ~~ THEN BEGIN 15 // from: 14.1 4.2
  SAY #57786 /* ~Then you must still get inside the palace, which has been sealed with strong magic by the Exile.  We have tried and tried to break the seal but it is impossible!~ */
  IF ~~ THEN GOTO 12
END

IF ~~ THEN BEGIN 16 // from: 14.2 4.3
  SAY #57787 /* ~Go if you must, then... but help us if you can!~ */
  IF ~~ THEN EXIT
END

IF ~Global("ElvenAvatar","GLOBAL",1)~ THEN BEGIN 17 // from:
  SAY #57789 /* ~Bless you, stranger!  The avatar has released the guardian spirits!  The city is saved and the palace opened for you... go and help our Queen, the Exile holds her within!~ */
  IF ~~ THEN DO ~SetGlobal("TalkOnceReirra","LOCALS",1)~ GOTO 18
END

IF ~~ THEN BEGIN 18 // from: 17.0
  SAY #61282 /* ~If you need healing or supplies, I shall be happy to help you. Rillifane has blessed you and what services our temple offers are yours for a pittance. The soldiers have even offered some of their weapons and supplies.~ */
  IF ~~ THEN REPLY #61283 /* ~I would like to see what you have to offer.~ */ DO ~StartStore("suelf10",LastTalkedToBy())~ EXIT
  IF ~~ THEN REPLY #61284 /* ~I need nothing at this time, Reirra.~ */ GOTO 19
END

IF ~~ THEN BEGIN 19 // from: 18.1
  SAY #61285 /* ~Then go with our thanks and help the Queen!~ */
  IF ~~ THEN EXIT
END
